Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1746)

Issue 141190043: Check for Note_column interface before using grob. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 9 months ago by eble
Modified:
4 years, 9 months ago
Reviewers:
Keith, janek, dak, colinpkcampbell, dan, mail, pkx166h
CC:
lilypond-devel_gnu.org
Base URL:
http://git.savannah.gnu.org/gitweb/?p=lilypond.git/trunk/
Visibility:
Public.

Description

Check for Note_column interface before using grob. Rest_collision was calling Note_column functions on grobs that did not have the Note_column interface. Now Rest_collision ignores such grobs and Note_column will print a more accurate message if such an error ever happens again. Reported in http://article.gmane.org/gmane.comp/gnu.lilypond.bugs/39758 .

Patch Set 1 #

Total comments: 1

Patch Set 2 : fixed indentation #

Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -5 lines) Patch
M lily/note-column.cc View 1 chunk +4 lines, -1 line 0 comments Download
M lily/rest-collision.cc View 1 chunk +7 lines, -4 lines 0 comments Download

Messages

Total messages: 14
eble
4 years, 9 months ago (2014-09-06 18:58:10 UTC) #1
Colin Campbell
Logged on issue tracker as Issue 4094: Note_column programming errors
4 years, 9 months ago (2014-09-06 20:41:32 UTC) #2
janek
LGTM (from a quick look).
4 years, 9 months ago (2014-09-06 22:42:17 UTC) #3
Keith
LGTM https://codereview.appspot.com/141190043/diff/1/lily/rest-collision.cc File lily/rest-collision.cc (right): https://codereview.appspot.com/141190043/diff/1/lily/rest-collision.cc#newcode111 lily/rest-collision.cc:111: if (Note_column::has_interface(e)) We'll run this through the 'fixcc.py' ...
4 years, 9 months ago (2014-09-07 06:23:08 UTC) #4
dak
On 2014/09/07 06:23:08, Keith wrote: > LGTM > > https://codereview.appspot.com/141190043/diff/1/lily/rest-collision.cc > File lily/rest-collision.cc (right): > ...
4 years, 9 months ago (2014-09-07 06:58:30 UTC) #5
eble
On 2014/09/07 06:58:30, dak wrote: > It's better to follow the style right away when ...
4 years, 9 months ago (2014-09-07 13:46:42 UTC) #6
eble
Indentation is fixed.
4 years, 9 months ago (2014-09-08 23:52:13 UTC) #7
pkx166h
Dan, just note that this patch has had no testing whatsover. At this time it ...
4 years, 9 months ago (2014-09-09 10:27:01 UTC) #8
dan_faithful.be
On Sep 9, 2014, at 06:27 , pkx166h@gmail.com wrote: > I will manually update the ...
4 years, 9 months ago (2014-09-10 04:02:37 UTC) #9
mail_philholmes.net
----- Original Message ----- From: "Dan Eble" <dan@faithful.be> To: "Daniel Eble" <eble@ticalc.org>; <colinpkcampbell@gmail.com>; "Janek Warchol" ...
4 years, 9 months ago (2014-09-10 08:44:08 UTC) #10
dak
Dan Eble <dan@faithful.be> writes: > On Sep 9, 2014, at 06:27 , pkx166h@gmail.com wrote: > ...
4 years, 9 months ago (2014-09-10 08:45:22 UTC) #11
mail_philholmes.net
----- Original Message ----- From: "David Kastrup" <dak@gnu.org> To: "Dan Eble" <dan@faithful.be> Cc: "Keith OHara" ...
4 years, 9 months ago (2014-09-10 10:16:21 UTC) #12
dak
"Phil Holmes" <mail@philholmes.net> writes: > ----- Original Message ----- > From: "David Kastrup" <dak@gnu.org> > ...
4 years, 9 months ago (2014-09-10 10:20:03 UTC) #13
pkx166h
4 years, 9 months ago (2014-09-11 11:55:23 UTC) #14
Patch on countdown for September 14th
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b